#!/bin/csh


set COMMENT = ""

while ( $#argv > 0 ) 
  if ( "$1" == "-m" ) then
    shift 
    if ( $#argv > 0 ) then 
      set COMMENT = "$1"
    endif
  endif
  shift
end

if ( "$COMMENT" == "" ) then 
   echo "no version comment" 
   exit 1
endif


# set DIR = `grep svn .svn/entries | grep trunk | sed "s_/trunk__" `
set DIR = `svn info | grep URL | grep -v Relative | awk '{print$2}' | sed "s_/trunk__" | head -1 `

if ( $status != 0 ) then 
   echo "not an svn working repository"
   exit 1
endif 



set PACKAGE = ${DIR:t}

set RAWPACKAGE = `echo $PACKAGE | sed 's|svn$||'`

echo "directory $DIR"
echo "package   $RAWPACKAGE ($PACKAGE)"




# get the version number 

if ( -e version.dat ) then 
    set TAGVERSION = `cat version.dat`
else 
  if ( -e configure.ac ) then 
    set TAGVERSION = `grep AC_INIT configure.ac | sed 's/.*,\(.*\),.*@.*/\1/'`
  else
    echo "no tag version"
    exit 1
  endif
endif  


set TAGSVNVERSION = `version -s $TAGVERSION`

# does it exist already?

echo "checking tag $DIR/tags/$RAWPACKAGE-$TAGSVNVERSION "

svn ls $DIR/tags/$RAWPACKAGE-$TAGSVNVERSION >& /dev/null

if ( $status == 0 ) then 
  echo "version already tagged"
  exit 1
endif


# now tag 

svn copy $DIR/{trunk,tags/$RAWPACKAGE-$TAGSVNVERSION} -m "$COMMENT"
if ( $status != 0 ) then 
      echo "svn tag failed"
      exit 1
endif



